package com.ynet.life.util;

import com.ynet.gene.data.DataElement;
import com.ynet.gene.data.DataField;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.KeyedCollection;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_util.jar:com/ynet/life/util/GENEDataUtils.class */
public class GENEDataUtils {
    public static final void putAll(KeyedCollection kColl, Map map) {
        IndexedCollection innerIColl;
        KeyedCollection innerKColl;
        for (String key : map.keySet()) {
            Object obj = map.get(key);
            DataElement de = null;
            try {
                if (kColl.containsKey(key)) {
                    de = kColl.getDataElement(key);
                }
            } catch (InvalidArgumentException unused) {
            }
            if (obj instanceof List) {
                List innerList = (List) obj;
                if (de instanceof IndexedCollection) {
                    innerIColl = (IndexedCollection) de;
                } else {
                    innerIColl = new IndexedCollection(key);
                    try {
                        kColl.addIndexedCollection(innerIColl);
                    } catch (Exception unused2) {
                    }
                }
                putAll(innerIColl, innerList);
            } else if (obj instanceof Map) {
                Map innerMap = (Map) obj;
                if (de instanceof KeyedCollection) {
                    innerKColl = (KeyedCollection) de;
                } else {
                    innerKColl = new KeyedCollection(key);
                    try {
                        kColl.addKeyedCollection(innerKColl);
                    } catch (Exception unused3) {
                    }
                }
                putAll(innerKColl, innerMap);
            } else {
                kColl.put(key, obj);
            }
        }
    }

    public static final void putAll(IndexedCollection iColl, List list) {
        for (int i = 0; i < list.size(); i++) {
            Map map = (Map) list.get(i);
            KeyedCollection kColl = new KeyedCollection();
            putAll(kColl, map);
            iColl.addDataElement(kColl);
            if (iColl.getDataElement() == null) {
                iColl.setDataElement((KeyedCollection) kColl.clone());
            }
        }
    }

    public static final void getXML(StringBuffer sb, KeyedCollection kColl, KeyedCollection filter) {
        String valueStr;
        for (IndexedCollection indexedCollection : kColl.values()) {
            String name = indexedCollection.getName();
            if (filter == null || filter.containsKey(name)) {
                if ((indexedCollection instanceof IndexedCollection) && indexedCollection.size() != 0) {
                    name = "result";
                }
                sb.append("<").append(name).append(">");
                if (indexedCollection instanceof KeyedCollection) {
                    getXML(sb, (KeyedCollection) indexedCollection, null);
                } else if (indexedCollection instanceof IndexedCollection) {
                    IndexedCollection iColl = indexedCollection;
                    for (int i = 0; i < iColl.size(); i++) {
                        KeyedCollection innerKColl = (KeyedCollection) iColl.get(i);
                        sb.append("<kColl>");
                        getXML(sb, innerKColl, null);
                        sb.append("</kColl>");
                    }
                } else {
                    Object value = ((DataField) indexedCollection).getValue();
                    if (value != null) {
                        valueStr = value.toString();
                    } else {
                        valueStr = "";
                    }
                    sb.append(formatXML(valueStr));
                }
                sb.append("</").append(name).append(">");
            }
        }
    }

    private static String formatXML(String str) {
        if (str == null || str.length() == 0) {
            return str;
        }
        return str.replaceAll("\\&", "&amp;").replaceAll("\\'", "&apos;").replaceAll("\\\"", "&quot;").replaceAll("\\<", "&lt;").replaceAll("\\>", "&gt;");
    }
}
